lnptest(1)

NAME
lnptest - LNP Client Test Application

SYNOPSIS
lnptest

DESCRIPTION
lnptest is an LNP Daemon test client used to test the connection between lnptest and the LNP daemon through the Ir Tower to a corresponding test program running in an RCX. See the FILES section for the location of the RCX test program source code (distributed with this package).

OPTIONS
lnptest does not support command-line options.

USAGE
To run the test:
- compile the lnptest.c RCX program
- start the lnpd daemon
- download the lnptest.lx program to the RCX
- (at the RCX) run the program just downloaded to the RCX
- run this lnptest program
- inspect the output looking for lack of failure messages

FILES

/usr/share/doc/lnpd/examples/rcx
    In this directory is the source to the RCX-side program which is called lnptest.c but written to be compiled against BrickOS.

SEE ALSO
lnptest2(1), lnpdll(1), lnpd(8)

You can find additional documentation in /usr/share/doc/lnpd (on Debian GNU/Linux systems)

AUTHOR
lnptest was written by Martin Cornelius <Martin.Cornelius@t-online.de> This man page was written by Stephen Moraco <stephen@debian.org>